:root {
    --faq-aside-width: 318px;
    --faq-aside-sticky-offset: 172px;
    --faq-aside-topic-hover-line-width: 61px;
    --faq-main-gap: 32px;
}
.product-faq-content-wrapper {
    display: flex;
    flex-direction: row;
    gap: 16px;
    justify-content: center;
}

.product-faq-content-wrapper .page-content {
    gap: var(--faq-main-gap);
}
.product-faq-content-wrapper .faq-aside {
    max-width: var(--faq-aside-width);
}

.product-faq-content-wrapper .faq-question-group:not(.active) {
    display: none;
}
.product-faq-content-wrapper .faq-topic-haed-title {
    margin-bottom: 20px;
    font-size: 15px;
    line-height: 17px;
}
.h-faq-block .h-block-title {
    padding-bottom: 20px;
    font-size: 17px;
    line-height: 28px;
    letter-spacing: 0.25em;
}
.h-faq-block .h-block-description {
    font-size: 17px;
    line-height: 21px;
    letter-spacing: 0;
}

@media (min-width: 769px) and (max-width: 992px) {
    @media (min-width: 991px) {
        :root {
            --faq-aside-width: 291px;
            --faq-main-gap: 30px;
        }
    }
    @media (max-width: 991px) {
        :root {
            --faq-aside-width: 268px;
        }
    }
}
@media (max-width: 768px) {
    :root {
        --faq-aside-width: 100%;
        --faq-aside-sticky-offset: 103px;
        --faq-aside-topic-hover-line-width: 61px;
        --faq-main-gap: 30px;
    }

    .product-faq-content-wrapper .page-content {
        flex-direction: column;
    }
}

.product-faq-content-wrapper .faq-topics-list {
    gap: 12px 8px;
    flex-flow: row wrap;
    margin-top: 20px;
}
.product-faq-content-wrapper .faq-topics-item .faq-topics-item-inner {
    display: flex;
    padding: 6px 16px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border-radius: 2px;
    background: var(--gray-light-transparent-color);
    transition: 0.3s background-color ease-in-out;
    color: var(--brand-black-color);
    text-align: left;
    font-size: 18px;
    font-weight: 400;
    line-height: 28px;
}
.product-faq-content-wrapper .faq-topics-item input:not(:checked) + .faq-topics-item-inner {
    cursor: pointer;
}
.product-faq-content-wrapper .faq-topics-item input:checked + .faq-topics-item-inner {
    background-color: var(--brand-black-color);
    color: #fff;
}
.product-faq-content-wrapper .faq-topics-item .faq-topics-item-inner:after {
    position: absolute;
    left: 25px;
    bottom: 12px;
    height: 1px;
    width: 100%;
    background-color: var(--bg-orange);
    transition: 0.3s max-width ease-in-out;
    content: "";
}
.product-faq-content-wrapper .faq-topics-item input:not(:checked) + .faq-topics-item-inner:after {
    max-width: 0;
}
.product-faq-content-wrapper .faq-topics-item:hover input:not(:checked) + .faq-topics-item-inner:after,
.product-faq-content-wrapper .faq-topics-item input:checked + .faq-topics-item-inner:after {
    max-width: var(--faq-aside-topic-hover-line-width);
}
.faq-questions-list .accordion-header-button {
    cursor: pointer;
}
.faq-questions-list .accordion-header-button .item-accordion-opened,
.faq-questions-list .accordion-header-button .item-accordion-closed {
    width: 24px;
    height: 24px;
    background-size: contain;
}

.faq-questions-list .accordion-header-button .item-accordion-opened {
    background-image: url(/img/redesign_v2/icons/icon-minus-faq.svg);
}

.faq-questions-list .accordion-header-button .item-accordion-closed {
    background-image: url(/img/redesign_v2/icons/icon-plus-faq.svg);
}

.faq-questions-list .accordion-header-button .item-accordion-closed {
    font-size: 40px;
}

.faq-questions-list .accordion-header.active .item-accordion-closed,
.faq-questions-list .accordion-header:not(.active) .item-accordion-opened {
    display: none;
}

.faq-questions-list .faq-question-item .accordion-header {
    padding: 20px 24px;
    gap: 0px 16px;
    cursor: pointer;
}

.faq-questions-list .faq-question-item .accordion-header-title {
    font-size: 18px;
    line-height: 28px;
    font-weight: var(--font-weight-regular);
}

.faq-questions-list .faq-question-item .accordion-header:not(.active) + .accordion-dropdown {
    display: none;
}

.faq-questions-list .faq-question-item .accordion-header:not(.active) {
    border-bottom: 1px solid var(--bg-main-color);
}

.faq-questions-list .accordion-header.active  {
    background: #F9F9F9;
}
.faq-questions-list .faq-question-content {
    padding: 0 24px 20px;
    color: #3D3B36;
    font-size: 18px;
    line-height: 28px;
    background-color: #F9F9F9;
}
.faq-questions-list .accordion-header.active + .accordion-dropdown .faq-question-content {
    margin-bottom: 4px;
}
.product-faq-content-wrapper .faq-content {
    align-items: flex-start;
    justify-content: flex-start;
}

.product-faq-content-wrapper .faq-page-link {
    margin-top: 12px;
    cursor:pointer;
    gap: 4px;
    align-items: center;
}

.product-faq-content-wrapper .faq-page-link-text {
    color: #0F0F0F;
    font-size: 18px;
    font-weight: 500;
    line-height: 28px;
}

.product-faq-content-wrapper .faq-page-link-arrow {
    display: block;
    width: 16px;
    height: 16px;
    background-image: url(/img/redesign_v2/icons/icon-href-navigation-arrow.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

.product-faq-content-wrapper .faq-topics-list {
    width: var(--gallery-product-card-width);
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: column;
}

.faq-questions-list {
    margin-bottom: 16px;
}

.faq-questions-list .faq-question-item .accordion-header.active {
    padding-bottom: 10px;
}

.faq-questions-list .accordion-header-button .item-accordion-opened {
    font-size: 28px;
}

.faq-topics-list.swiper-wrapper{
    height: auto;
}

.faq-topics-list .swiper-slide {
    height: auto;
    width: auto;
}

.faq-topics-list-wrapper {
    margin: 0;
    width: var(--gallery-product-card-width);
}

.product-faq-content-wrapper .faq-content .faq-page-link.mobile{
    display: none;
}
.product-faq-content-wrapper .faq-topics-list .faq-page-link{
    display: flex;
}

@media (max-width: 1024px) {
    .faq-questions-list .faq-question-item .accordion-header-title,
    .faq-questions-list .faq-question-content,
    .product-faq-content-wrapper .faq-topics-item .faq-topics-item-inner,
    .product-faq-content-wrapper .faq-page-link-text{
        font-size: 16px;
        line-height: 26px;
    }

    .product-faq-content-wrapper .faq-question-content {
        padding: 0px 12px 16px;
    }
    .faq-questions-list .faq-question-item .accordion-header,
    .product-faq-content-wrapper .faq-content .faq-page-link.mobile{
        padding: 16px 12px;
    }

    .product-faq-content-wrapper .faq-topics-list .faq-page-link{
        display: none;
    }

    .product-faq-content-wrapper .faq-content .faq-page-link.mobile{
        display: flex;
        margin-bottom: 0;
        padding-bottom: 0;
    }

    .product-faq-content-wrapper .faq-questions-list {
        margin-bottom: 0;
    }

    .faq-questions-list .faq-question-item .accordion-header.active {
        padding-bottom: 10px;
    }
    .product-faq-content-wrapper .faq-content,
    .product-faq-content-wrapper .faq-topics-list {
        max-width: unset;
    }

    .faq-topics-list.swiper-wrapper{
        height: 100%;
    }

    .faq-topics-list .swiper-slide {
        height: 100%;
        width: auto;
    }

    .product-faq-content-wrapper {
        display: flex;
        flex-direction: column;
        gap: 16px;
        justify-content: center;
    }

    .product-faq-content-wrapper .faq-topics-list-wrapper{
        width: 100%;
        overflow: hidden;
    }

    .product-faq-content-wrapper .faq-topics-list{
        margin-top: 0;
        flex-direction: row;
        flex-wrap: nowrap;
        width: 100%;
        align-items: center;
        gap: 0;
    }

    .faq-topics-item,
    .product-faq-content-wrapper .faq-page-link{
        flex-shrink: 0;
        margin-bottom: 8px;
        width: auto;
    }

    .product-faq-content-wrapper .faq-page-link{
        margin-top: 0;
    }

    .product-faq-content-wrapper .faq-topics-item .faq-topics-item-inner{
        gap: 12px;
        width: auto;
    }

    .faq-topics-list__scrollbar {
        position: absolute;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 1px;
        background: #E8E8E8;
        border-radius: 1px;
    }
    .faq-topics-list__scrollbar .swiper-scrollbar-drag {
        height: 100%;
        background: #0F0F0F;
        border-radius: 1px;
    }
}

@media (min-width: 1921px) {
    .faq-questions-list .faq-question-item .accordion-header-title {
        font-size: 20px;
        line-height: 32px;
    }
    .faq-questions-list .faq-question-content {
        font-size: 18px;
        line-height: 28px;
    }
}